import java.applet.Applet;

import javax.swing.JFrame;

import quadbase.reportorganizer.organizerAPI.QbOrganizer;

public class RemovingItem extends Applet {

	static final long serialVersionUID = 1;

	// set following constants, your EDAB/ERES server must be runnning!
	// Run this example from EDAB install directory
	static final String ServletRunner = "http://localhost:8080";
	static final String ServletContext = "EDAB/servlet";

	public static void main(String[] args) {
		try {
			RemovingItem organizer = new RemovingItem();
			organizer.doInsertItem();
		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		doInsertItem();
	}

	void doInsertItem() {

		QbOrganizer.setServletRunner(ServletRunner);
		QbOrganizer.setServletContext(ServletContext);

		JFrame frame = null;

		try {
			QbOrganizer organizer = new QbOrganizer(null, "admin", "admin");

			// select here which file and from which folder you want to remove
			organizer.removeItem("Orders_Breakdown", "/New Project");

			frame = organizer.getOrganizerUI();
			frame.setVisible(true);

		} catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}
}
